Skip to main content

guardrailValue

Returns the effective guardrail value for a company and guardrail key

guardrailValue(
companyId: ID!
key: String!
assetCategory: String
): Int

Arguments​

guardrailValue.companyId ● ID! non-null scalar​

guardrailValue.key ● String! non-null scalar​

guardrailValue.assetCategory ● String scalar​

Asset category of an assets guardrail; omitted, the global limit

Type​

Int scalar​

The Int scalar type represents non-fractional signed whole numeric values. Int can represent values between -(2^31) and 2^31 - 1.

Example request

This generated query uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the companies query first and use data.companies.collection[].id as companyId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"query GetGuardrailValue($companyId: ID!, $key: String!) {\n guardrailValue(companyId: $companyId, key: $key)\n}","variables":{"companyId":"<company_id>","key":"example"}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute